### Class

# WebKit2WebExtension DOMHTMLCollection

#### Description

    class WebKit2WebExtension.DOMHTMLCollection : WebKit2WebExtension.DOMObject {
      parent_instance: WebKitDOMObject
    }

No description available.

#### Ancestors

- WebKitDOMObject
- GObject

#### Descendants

- WebKitDOMHTMLOptionsCollection

#### Instance methods

###### webkit_dom_html_collection_get_length

No description available.

deprecated: 2.22

###### webkit_dom_html_collection_item

No description available.

deprecated: 2.22

###### webkit_dom_html_collection_named_item

No description available.

deprecated: 2.22

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### WebKit2WebExtension.DOMHTMLCollection:length

No description available.

##### Properties inherited from WebKitDOMObject (1)

###### WebKit2WebExtension.DOMObject:core-object

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WebKit2WebExtensionDOMHTMLCollectionClass {
      WebKitDOMObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: WebKitDOMObjectClass`
  No description available.